:: Copyright 2009, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: BulkDownloader.bat 4071 2009-03-24 17:50:45Z shardman $

:: Batch file that allows easy execution of the Bulk Downloader
:: without the need to set the CLASSAPTH or having to type in that long java
:: command (java gov.nasa.pds.bulkdownloader.BulkDownloader ...)

@echo off

:: Expects the Bulk Downloader jar file to be located in the lib directory.

set LIB_DIR=..\lib

if exist "%LIB_DIR%\bulk-downloader-*.jar" (
set BULKDOWNLOADER_JAR=%LIB_DIR%\bulk-downloader-*.jar
) else (
echo Cannot find Bulk Downloader jar file in %LIB_DIR%
goto END
)

:: Finds the jar file in LIB_DIR and sets it to BULKDOWNLOADER_JAR

for %%i in ("%LIB_DIR%"\bulk-downloader-*.jar) do set BULKDOWNLOADER_JAR=%%i

:: Executes Bulk Downloader via the executable jar file
:: The special variable '%*' allows the arguments
:: to be passed into the executable.

java -jar "%BULKDOWNLOADER_JAR%" %*

:END
